/*$Id:$*/
/*04.05.2021	04.05.2021	Белых А.И.	zarkart.h
Реквизиты карточки работника
*/

class zarkart_rk
 {
  public:
   int tabn;
   class iceb_tu_str fio;
   class iceb_tu_str dolg;
   int zvan;
   int podr;
   int kateg;
   short dn,mn,gn;
   short du,mu,gu;
   class iceb_tu_str shet;
   short sovm;
   class iceb_tu_str inn;
   class iceb_tu_str adres;
   class iceb_tu_str nomp;
   class iceb_tu_str vidan;
   class iceb_tu_str telef;
   int kodg;
   class iceb_tu_str harac;
   class iceb_tu_str lgot;
   class iceb_tu_str bankshet;
   short dv,mv,gv;
   class iceb_tu_str tipkk;
   short drog,mrog,grog;
   short pol;
   short dppz,mppz,gppz;
   int kodbank;
   class iceb_tu_str kodss;
   class iceb_tu_str kkp;
   class iceb_tu_str dnt;
   class iceb_tu_str opt;
   class iceb_tu_str dsrm;
   
   zarkart_rk()
    {
     zarkart_rk_clear();
    }
   void zarkart_rk_clear()
    {
     fio.new_plus("");
     dolg.new_plus("");
     zvan=0;
     podr=0;
     kateg=0;
     dn=mn=gn=0;
     du=mu=gu=0;
     shet.new_plus("");
     sovm=0;
     inn.new_plus("");
     adres.new_plus("");
     nomp.new_plus("");
     vidan.new_plus("");
     telef.new_plus("");
     kodg=0;
     harac.new_plus("");
     lgot.new_plus("");
     bankshet.new_plus("");
     dv=mv=gv=0;
     tipkk.new_plus("");
     drog=mrog=grog=0;
     pol=0;
     dppz=mppz=gppz=0;
     kodbank=0;
     kodss.new_plus("");
     kkp.new_plus("");
     dnt.new_plus("");
     opt.new_plus("");
     dsrm.new_plus("");
     
    }
 };

